import { ReportFieldDefinition } from "@/data/report";
import { axios } from "@/api";
import { FieldDefinitionDTO, fieldDefinitionDtoTransformer } from "@/api/dto/edition";

const REPORT_FIELD_INDEX_ENDPOINT = "/management/report/fields"

export async function all(): Promise<ReportFieldDefinition[]> {
    const result = await axios.get<FieldDefinitionDTO[]>(REPORT_FIELD_INDEX_ENDPOINT);
    return (result.data || []).map(field => fieldDefinitionDtoTransformer.transform(field));
}

export async function save(field: ReportFieldDefinition) {
    await axios.post(REPORT_FIELD_INDEX_ENDPOINT, fieldDefinitionDtoTransformer.reverseTransform(field));
}
