import { Actions, ActionsProps } from "@/components";
import React from "react";
import { Typography } from "@material-ui/core";
import { useTranslation } from "react-i18next";

export type BulkActionsProps = ActionsProps;

export const BulkActions = ({ children, ...props }: BulkActionsProps) => {
    const { t } = useTranslation("management");

    return <Actions { ...props }>
        <Typography variant="subtitle2">{ t("actions.bulk") }: </Typography>
        { children }
    </Actions>;
};
