import React from "react";
import { AsyncResult } from "@/hooks";
import { CircularProgress } from "@material-ui/core";

export type MaterialTableTitleProps = { result: AsyncResult<any>, label: React.ReactNode } & React.HTMLProps<HTMLDivElement>;

export const MaterialTableTitle = ({ label, result, style, ...props }: MaterialTableTitleProps) =>
    <div style={ { display: "flex", alignItems: "center", ...style } } { ...props }>
        { label }
        { result.isLoading && <CircularProgress size="1.5rem" style={ { marginLeft: "1rem" } }/> }
    </div>
